@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Playwrite+US+Trad:wght@100..400&display=swap');
@font-face {
  font-family: 'Biro Script Plus';
  src: url('fonts/biro-script-plus.woff') format('woff'),
       url('fonts/biro-script-plus.woff2') format('woff2'),
       url('fonts/biro-script-plus.eot') format('eot'); 
  font-display: swap; /* Helps prevent render-blocking (recommended) */
}

:root {
  --color-bg: #D8EDF7;
  --color-primary: #E4A391;
  --color-secondary: #B4B891;
  --color-tertiary: #EDE099;
  --color-dark: #181A15;
  --color-highlight: #1b3947;
}

u {
  text-decoration: none;
  border-bottom: 1px dotted var(--color-highlight);
  font-weight: 600;
  color: var(--color-highlight);
}

.container {
  max-width: 950px;
  margin: 0 auto;
}

header.header {
  text-align: center;
  padding: 4rem 0;
  span.subtitle {
    font-size: 1.5rem;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 0.2em;
  }
  .nav {
    display: flex;
    width: 100%;
    justify-content: center;
    gap: 2rem;
    margin: 2em 0;
    @media (max-width: 768px) {
      flex-direction: column;
      gap: 1em;
    }
  }
}

button {
  font-family: 'Lato', sans-serif;
  font-size: 1rem;
  padding: 0.75em 1em;
  background-color: var(--color-dark);
  color: var(--color-tertiary);
  font-weight: 700;
  border: 2px transparent solid;
  transition: all 0.3s ease;
  cursor: pointer;
  &:hover {
    background-color: var(--color-tertiary);
    color: var(--color-dark);
    border-color: var(--color-tertiary);
  }
}

body {
  background-color: var(--color-bg);
  font-family: 'Lato', sans-serif;
}

p, span {
  font-size: 1.2rem;
  line-height: 1.5;
}

h1 {
  font-size: 4rem;
}

h2 {
  font-size: 2.75rem;
}

h6 {
  font-family: 'Lato', sans-serif;
  font-size: 0.9rem;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 4px;
  margin: 0;
  line-height: 1;
}

h1, h2, h3, h4, h5 {
  font-family: 'Playwrite US Trad', cursive;
  margin-bottom: 0.5em;
  line-height: 1;
}

.agenda {
  display: flex;
  flex-direction: column;
  gap: 2em;
  box-sizing: border-box;
}

.agenda-item {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  background-color: white;
  padding: 2em;
  border-radius: 1em;
  box-sizing: border-box;
  .agenda-item-time {
    grid-column: span 1;
    @media (max-width: 768px) {
      font-size: 1.5rem;
      text-align: center;
    }
  }
  .agenda-item-content {
    grid-column: span 3;
    h3 {
      font-family: 'Lato', sans-serif;
      letter-spacing: 1px;
      font-size: 1.5rem;
      font-weight: 900;
      margin: 0;
    }
    h4.agenda-item-location {
      font-family: 'Lato', sans-serif;
      letter-spacing: 1px;
      font-size: 1.2rem;
      font-weight: 700;
    }
  }
  @media (max-width: 768px) {
    display: flex;
    flex-direction: column;
    gap: 1em;
  }
}

.agenda, .faq {
  margin-bottom: 8em;
}

.faq-items {
  display: flex;
  flex-direction: column;
  gap: 2em;
  .faq-item {
    display: flex;
    flex-direction: column;
    gap: 1em;
    padding-bottom: 2em;
    p {
      margin: 0;
    }
    h3 {
      font-family: 'Lato', sans-serif;
      letter-spacing: 1px;
      font-size: 1.2rem;
      font-weight: 900;
      margin: 0;
    }
    border-bottom: 1px solid var(--color-dark);
  }
}

a {
  color: var(--color-dark);
  padding: 0.25em;
  border-radius: 0.25em;
  font-weight: 800;
}

.rsvp-form {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 1em;
  margin-bottom: 8rem;
}

.form-group {
  display: flex;
  width: 100%;
  gap: 1em;
  p {
    font-size: 1em;
    margin: 0;
    font-weight: 800;
  }
  @media (max-width: 768px) {
    flex-direction: column;
  }
}

.checkbox-group {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  div {
    display: flex;
    align-items: center;
    gap: 0.5em;
  }
}

.form-item {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.2em;
  label {
    font-size: 0.9rem;
    font-weight: 800;
    text-transform: uppercase;
  }
}

input, textarea {
  font-family: 'Lato', sans-serif;
  font-size: 1rem;
  padding: 0.75em 1em;
  background-color: white;
  color: var(--color-dark);
  font-weight: 700;
  border: 2px transparent solid;
  transition: all 0.3s ease;
  cursor: pointer;
  border-radius: 0.5em;
  &:hover {
    background-color: var(--color-tertiary);
  }
}

input[type="checkbox"] {
  width: 1em;
  height: 1em;
  border-radius: 0.25em;
  border: none;
  &:checked {
    background-color: var(--color-dark);
  }
}

main {
  margin-bottom: 8rem;
}

.learn-more {
  text-align: center;
}

footer.footer {
  text-align: center;
  p, a {
    font-size: 0.9rem;
  }
}

.registry-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1em;
  @media (max-width: 768px) {
    display: flex;
    flex-direction: column;
    gap: 1em;
    .registry-item {
      width: 100%;
    }
  }
}

.registry-item {
  box-sizing: border-box;
  background-color: white;
  padding: 1em;
  border-radius: 0.5em;
  display: flex;
  flex-direction: column;
  gap: 1em;
  &.claimed {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
  }
  h3 {
    font-family: 'Lato', sans-serif;
    letter-spacing: 1px;
    font-size: 1.2rem;
    font-weight: 900;
    margin: 0;
  }
  p {
    margin: 0;
  }
}